function varargout=VerticesIdxRef(d,k,varargin)
% 
  p = inputParser;
  p.addParamValue('type','simplex', @(x) ismember(lower(x),{'simplex','orthotope'}));
  p.parse(varargin{:});R=p.Results;
  if strcmp(R.type,'simplex')
    Idx=fc_hypermesh.VerticesIdxSimpRef(d,k);
  else
    Idx=fc_hypermesh.VerticesIdxHypRef(d,k);
  end
  if nargout>=1, varargout{1}=Idx; end
  if nargout==2, varargout{2}=setdiff(1:(k+1)^d,Idx); end
end
