function M = DAssemblyP1_OptV3new(Th,Op,varargin)
% A supprimer
  %
  assert( fc_vfemp1.is_Loperator(Op) );
  assert( fc_simesh.is_siMeshElt(Th) );
  assert(Th.d==Op.d);
  p = inputParser;
  %p.addParamValue('Num',1,@(x) ismember(x,[0,1]));
  p.addParamValue('local',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  Kg=fc_vfemp1.FEM.KgP1_OptV3(Th,Op);
  if R.local
    ndof=Th.nq;
    [Ig,Jg]=fc_vfemp1.FEM.IgJgP1_OptV3(Th.d,Th.nme,Th.me);
  else
    ndof=Th.nqParent;
    [Ig,Jg]=fc_vfemp1.FEM.IgJgP1_OptV3(Th.d,Th.nme,Th.toParent(Th.me));
  end
  M=sparse(Ig(:),Jg(:),Kg(:),ndof,ndof);
end
